> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/organisations/{orgId}/labels/{labelId}

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/organisations/{orgId}/labels/{labelId}
```

where `{orgId}` is the ID of an organisation and `{labelId}` is the ID of one of this organisation's classifications.

## Supported methods and overview&#x20;

* `GET` - retrieves information about a [classification](/3.5/admin-org/managing-classifications.md) (specified by `labelId`) configured in an organisation (specified by `orgId`).
* `DELETE` - deletes an existing classification (specified by `labelId`) in an organisation (specified by `orgId`).

> [!NOTE]
>
> Both of these methods take no parameters.

## Detailed description&#x20;

This API endpoint serves a number of purposes:

* Retrieves information about a classification (specified by `labelId`) configured in an organisation (specified by `orgId`). A classification's ID can be obtained by calling the `GET` method of the [\<access-service>/api/v1/organisations/\{orgId}/labels](/3.5/api/access-service-api-v1-organisations-orgid-labels.md) API endpoint, which retrieves a list of information for all classifications configured in an organisation (specified by `orgId`). \

  **Tip:** All information (except the **description** member) returned in the [response](/3.5/api/access-service-api-v1-organisations-orgid-labels-labelid.md#access-service-api-v1-organisations-orgid-labels-labelid-returns) from a `GET` method call to this API endpoint is also returned in the [response](/3.5/api/access-service-api-v1-organisations-orgid-labels.md#access-service-api-v1-organisations-orgid-labels-returns) from a `GET` method call to the [\<access-service>/api/v1/organisations/\{orgId}/labels](/3.5/api/access-service-api-v1-organisations-orgid-labels.md) endpoint. Therefore, if you do not require a classification's **description** when retrieving information about the classification, there is no need to call the `GET` method on this API endpoint.
* Deletes an existing classification (specified by `labelId`) from an organisation (specified by `orgId`). \

  **Important:** Deleting a classification also removes:

  * this classification from all [new](/3.5/api/access-service-api-v1-organisations-orggroupid-objects.md) and [existing](/3.5/api/access-service-api-v1-objects-objectid.md) file objects it had been applied to and more importantly,
  * removes all current collaborators from these file objects.

> [!NOTE]
>
> Be aware that by design and for security reasons, it is not possible to edit any aspect of a classification.

## Supported roles and conditions&#x20;

This API endpoint supports requests utilising Covata user accounts with the following [roles](/3.5/admin-org/administering-users-within-an-organisation.md#an-organisation-users-roles) (as described in the [Organisation Administrator's Guide](/3.5/admin-org.md)) and conditions:

* [Organisation administrator](/3.5/admin-org/administering-users-within-an-organisation.md#organisation-administrator-role), [Originator](/3.5/admin-org/administering-users-within-an-organisation.md#originator-role), [Collaborator](/3.5/admin-org/administering-users-within-an-organisation.md#collaborator-role), [Ad hoc](/3.5/admin-org/administering-users-within-an-organisation.md#adhoc-role) - using the `GET` method, when this user is a member of the organisation specified by the `{orgId}` of the request's URL.
* **Organisation administrator** - using the `DELETE` method, when this user is a member of the organisation specified by the `{orgId}` of the request's URL.

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token submitted in the [header](/3.5/api/access-service-api-v1-organisations-orgid-labels-labelid.md#access-service-api-v1-organisations-orgid-labels-labelid-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorisation: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...`

## Returns&#x20;

If the request succeeded, then an HTTP response status `200 OK` is returned.

For successful `GET` requests only, a JSON-formatted response containing the following members is also returned:

* **id** - The ID of the classification.
* **name** - The name of the classification.
* **description** - The description of the classification.
* **priority** - The current priority value, which is used for sorting classifications from highest (i.e. a priority integer value of 1) through to the lowest priority (i.e. the highest priority integer value, which equals the total number of all classifications defined in an organisation).
* **applyI18n** - . \

  **Example (response):**

  ```json theme={null}
  {
      "id": "766855749304623104",
      "name": {
          "value": "Confidential"
      },
      "description": {
          "value": "This classification level is used for content that should only be accessible to members of staff with security clearance. Anyone outside the company (including partners) should not access this content."
      },
      "priority": "1",
      "applyI18n": false
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.